page ,132
rom	segment at 0ffffh
hard_reset label far
rom	ends

comment \

 COLD.COM --

a program which performs a cold start of IBM PCs and compatibles.

This is typically used in a batch file which installs some kind of
O/S change (such as re-writing the CONFIG.SYS file, etc.).  This program
is called when a full power-on test (memory test, etc.) is desired.

WARM.COM will provide you with a quick reboot function.  See its
documentation for more information.

(c) 1987 D. Bushong, all rights reserved.

Permission is given to freely distribute providing that the copyright
information remains intact.

\

cdseg	segment
assume	cs:cdseg,ds:cdseg
org	100h
start:
	mov	ax,40h
	mov	ds,ax
	mov	ax,0
	mov	bx,72h
	mov	word ptr [bx],ax
	jmp	hard_reset

cdseg	ends
	end	start
